# class SS7MsgSCCP |
Full name | `TelEngine::SS7MsgSCCP`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingMessage [public ]
Inherited by | SS7MsgSccpReassemble
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Unknown = 0, CR = 0x01, CC = 0x02, CREF = 0x03, RLSD = 0x04, RLC = 0x05, DT1 = 0x06, DT2 = 0x07, AK = 0x08, UDT = 0x09, UDTS = 0x0a, ED = 0x0b, EA = 0x0c, RSR = 0x0d, RSC = 0x0e, ERR = 0x0f, IT = 0x10, XUDT = 0x11, XUDTS = 0x12, LUDT = 0x13, LUDTS = 0x14, }
- enum Parameters { EndOfParameters = 0, DestinationLocalReference = 0x01, SourceLocalReference = 0x02, CalledPartyAddress = 0x03, CallingPartyAddress = 0x04, ProtocolClass = 0x05, Segmenting = 0x06, ReceiveSequenceNumber = 0x07, Sequencing = 0x08, Credit = 0x09, ReleaseCause = 0x0a, ReturnCause = 0x0b, ResetCause = 0x0c, ErrorCause = 0x0d, RefusalCause = 0x0e, Data = 0x0f, Segmentation = 0x10, HopCounter = 0x11, Importance = 0x12, LongData = 0x13, MessageTypeInterworking = 0xf8, INS = 0xf9, ISNI = 0xfa, }

#### Public Methods

- inline SS7MsgSCCP (Type type)
- virtual ~SS7MsgSCCP ()
- inline Type type () const
- inline void updateType (Type type)
- inline bool isLongDataMessage () const
- inline bool canBeUDT () const
- void toString (String& dest, const SS7Label& label, bool params, const void* raw = 0, unsigned int rawLen = 0) const
- inline void setData (DataBlock* data)
- inline void removeData ()
- inline DataBlock* getData ()
- inline DataBlock* extractData ()

#### Public Static Methods

- static const TokenDict* names ()
- static inline const char* lookup (Type type, const char* defvalue = 0)
- static inline Type lookup (const char* name, Type defvalue = Unknown)

## Detailed Description

enum Type { Unknown = 0, CR = 0x01, CC = 0x02, CREF = 0x03, RLSD = 0x04, RLC = 0x05, DT1 = 0x06, DT2 = 0x07, AK = 0x08, UDT = 0x09, UDTS = 0x0a, ED = 0x0b, EA = 0x0c, RSR = 0x0d, RSC = 0x0e, ERR = 0x0f, IT = 0x10, XUDT = 0x11, XUDTS = 0x12, LUDT = 0x13, LUDTS = 0x14, } | ### Type

SCCP Message type

enum Parameters { EndOfParameters = 0, DestinationLocalReference = 0x01, SourceLocalReference = 0x02, CalledPartyAddress = 0x03, CallingPartyAddress = 0x04, ProtocolClass = 0x05, Segmenting = 0x06, ReceiveSequenceNumber = 0x07, Sequencing = 0x08, Credit = 0x09, ReleaseCause = 0x0a, ReturnCause = 0x0b, ResetCause = 0x0c, ErrorCause = 0x0d, RefusalCause = 0x0e, Data = 0x0f, Segmentation = 0x10, HopCounter = 0x11, Importance = 0x12, LongData = 0x13, MessageTypeInterworking = 0xf8, INS = 0xf9, ISNI = 0xfa, } | ### Parameters

inline SS7MsgSCCP (Type type) | ### SS7MsgSCCP

Constructor

Parameters:

type | Type of SCCP message as enumeration

~SS7MsgSCCP () | ### ~SS7MsgSCCP

[virtual]

Destructor NOTE: The SCCP message does not own the data pointer In destructor the data pointer should be valid if data was set from decode message In any other cases the pointer should be 0 NOTE: The data is not destroyed!! Only removed from data object and after the data object is destroyed

inline Type type () | ### type

[const]

Get the type of this message

Returns: The type of this message as enumeration

inline void updateType (Type type) | ### updateType

Helper method to change the message type

Parameters:

type | The new message type

inline bool isLongDataMessage () | ### isLongDataMessage

[const]

Utility method to verify if this message is a long unit data

Returns: True if this message is a long unit data

inline bool canBeUDT () | ### canBeUDT

[const]

Utility method to verify if this message can be a UDT message A SCCP message can be an UDT message if it not contains HopCounter parameter or other optional parameters

Returns: True if this message can be a UDT message

void toString (String& dest, const SS7Label& label, bool params, const void* raw = 0, unsigned int rawLen = 0) | ### toString

[const]

Fill a string with this message's parameters for debug purposes

Parameters:

dest | The destination string
label | The routing label
params | True to add parameters
raw | Optional raw message data to be added to destination
rawLen | Raw data length

Reimplemented from GenObject.

const TokenDict* names () | ### names

[static]

Get the dictionary with the message names

Returns: Pointer to the dictionary with the message names

inline const char* lookup (Type type, const char* defvalue = 0) | ### lookup

[static]

Convert an SCCP message type to a C string

Parameters:

type | Type of SCCP message to look up
defvalue | Default string to return

Returns: Name of the SCCP message type

inline Type lookup (const char* name, Type defvalue = Unknown) | ### lookup

[static]

Look up an SCCP message name

Parameters:

name | String name of the SCCP message
defvalue | Default type to return

Returns: Encoded type of the SCCP message

inline void setData (DataBlock* data) | ### setData

Set data for this message

Parameters:

data | the data

inline void removeData () | ### removeData

Remove the data from this message

inline DataBlock* getData () | ### getData

Obtain the data associated with this message

Returns: The data

inline DataBlock* extractData () | ### extractData

Extract the data associated with this message

Returns: The data

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.